<?php
declare(strict_types=1);

namespace WP_AUX\Enum\CtaTypes;

use WP_AUX\Interfaces\OptionsEnumInterface;
use WP_AUX\Traits\EnumTraits;

enum LinkButtonCtaTypesEnum: string implements OptionsEnumInterface
{
  use EnumTraits;

  case None = 'none';
  case Link = 'link';
  case Button = 'button';

  public const SETTING_LABEL = 'Link or Button CTA types';

  public function label(): string
  {
    return match($this) {
      self::None => 'None',
      self::Link => 'Link',
      self::Button => 'Button',
    };
  }
}
